Get Accounts at all Banks (private)
GET /obp/v7.0.0/my/accounts
OBPv7.0.0-corePrivateAccountsAllBanks No role required AccountAccount Information Service (AIS)PrivateDataPSD2
Returns the list of accounts containing private views for the user. Each account lists the views available to the user.
This endpoint is the v7.0.0 version of /obp/v3.0.0/my/accounts with
renamed identifier fields: account_id (was id) and view_id (was id on each view)
so the response gives the (bank_id, account_id, view_id) tuple directly.
optional request parameters:
- account_type_filter: one or many accountType value, split by comma
- account_type_filter_operation: the filter type of account_type_filter, value must be INCLUDE or EXCLUDE
whole url example: /my/accounts?account_type_filter=330,CURRENT+PLUS&account_type_filter_operation=INCLUDE
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (13)
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- account_routings
- account_type
- AC
- accounts
- address
- bank_id
- gh.29.uk
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- is_public
- false
- label
- My Account
- scheme
- OBP
- short_name
- view_id
- owner
- views
Example success response
{
"accounts": [
{
"account_id": "f026fbd3-d1ea-496b-a853-3cbe65629881",
"label": "Account 1",
"bank_id": "smnr.bnk.1",
"account_type": "330",
"account_routings": [
{
"scheme": "IBAN",
"address": "DE89 3704 0044 0532 0130 00"
}
],
"views": [
{
"view_id": "owner",
"short_name": "Owner",
"description": "Owner View",
"is_public": false
}
]
}
]
}Possible errors (2)
- OBP-20001: User not logged in. Authentication is required!
- OBP-50000: Unknown Error.